package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.THealthSolveMapper;
import com.ruoyi.system.domain.THealthSolve;
import com.ruoyi.system.service.ITHealthSolveService;

/**
 * 健康告警处理Service业务层处理
 * 
 * @author zhengjie
 * @date 2023-09-09
 */
@Service
public class THealthSolveServiceImpl implements ITHealthSolveService 
{
    @Autowired
    private THealthSolveMapper tHealthSolveMapper;

    /**
     * 查询健康告警处理
     * 
     * @param id 健康告警处理主键
     * @return 健康告警处理
     */
    @Override
    public THealthSolve selectTHealthSolveById(Integer id)
    {
        return tHealthSolveMapper.selectTHealthSolveById(id);
    }

    /**
     * 查询健康告警处理列表
     * 
     * @param tHealthSolve 健康告警处理
     * @return 健康告警处理
     */
    @Override
    public List<THealthSolve> selectTHealthSolveList(THealthSolve tHealthSolve)
    {
        return tHealthSolveMapper.selectTHealthSolveList(tHealthSolve);
    }

    /**
     * 新增健康告警处理
     * 
     * @param tHealthSolve 健康告警处理
     * @return 结果
     */
    @Override
    public int insertTHealthSolve(THealthSolve tHealthSolve)
    {
        tHealthSolve.setCreateTime(DateUtils.getNowDate());
        return tHealthSolveMapper.insertTHealthSolve(tHealthSolve);
    }

    /**
     * 修改健康告警处理
     * 
     * @param tHealthSolve 健康告警处理
     * @return 结果
     */
    @Override
    public int updateTHealthSolve(THealthSolve tHealthSolve)
    {
        return tHealthSolveMapper.updateTHealthSolve(tHealthSolve);
    }

    /**
     * 批量删除健康告警处理
     * 
     * @param ids 需要删除的健康告警处理主键
     * @return 结果
     */
    @Override
    public int deleteTHealthSolveByIds(Integer[] ids)
    {
        return tHealthSolveMapper.deleteTHealthSolveByIds(ids);
    }

    /**
     * 删除健康告警处理信息
     * 
     * @param id 健康告警处理主键
     * @return 结果
     */
    @Override
    public int deleteTHealthSolveById(Integer id)
    {
        return tHealthSolveMapper.deleteTHealthSolveById(id);
    }
}
